<& /htmlheader &>

<h3>
Tracklets from synth/known object <% $objectName %>.
</h3>
<p>

% foreach my $tid (@tids) {

<& ttable, trkId => $tid &>

% }

<& /htmlfooter &>

<%args>
$objectName
</%args>

<%init>
my $inst = $m->notes('INST');
my $dbh = $inst->dbh();

# Create a query from the DB, and create HTML schtuff.
my $href;
my $sth = $dbh->prepare("select t.tracklet_id from tracklets t join ssm s using (ssm_id) where s.object_name=?")
    or die $dbh->errstr;
$sth->execute($objectName) or die $sth->errstr;

my @tids;
my @ary;
while (@ary = $sth->fetchrow_array()) {
    push @tids, $ary[0];
}

</%init>
